# ARBCompressedTexturePixelStorage (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBCompressedTexturePixelStorage

    java.lang.Object
      org.lwjgl.opengl.ARBCompressedTexturePixelStorage

    public final class ARBCompressedTexturePixelStorage

extends java.lang.Object

Field Summary
`static int` `GL_PACK_COMPRESSED_BLOCK_DEPTH` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_PACK_COMPRESSED_BLOCK_HEIGHT` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_PACK_COMPRESSED_BLOCK_SIZE` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_PACK_COMPRESSED_BLOCK_WIDTH` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_UNPACK_COMPRESSED_BLOCK_DEPTH` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_UNPACK_COMPRESSED_BLOCK_HEIGHT` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_UNPACK_COMPRESSED_BLOCK_SIZE` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_UNPACK_COMPRESSED_BLOCK_WIDTH` Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_UNPACK_COMPRESSED_BLOCK_WIDTH

    public static final int GL_UNPACK_COMPRESSED_BLOCK_WIDTH

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_HEIGHT

    public static final int GL_UNPACK_COMPRESSED_BLOCK_HEIGHT

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_DEPTH

    public static final int GL_UNPACK_COMPRESSED_BLOCK_DEPTH

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_SIZE

    public static final int GL_UNPACK_COMPRESSED_BLOCK_SIZE

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_WIDTH

    public static final int GL_PACK_COMPRESSED_BLOCK_WIDTH

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_HEIGHT

    public static final int GL_PACK_COMPRESSED_BLOCK_HEIGHT

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_DEPTH

    public static final int GL_PACK_COMPRESSED_BLOCK_DEPTH

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_SIZE

    public static final int GL_PACK_COMPRESSED_BLOCK_SIZE

  Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.